local Nature = ...

Nature:registerAssetId("models/core.fbx/Prefab/Nature_Core", "PREFAB_NATURE_CORE")

Nature:register({
	DataType = "BUILDING_PART",
	Id = "NATURE_CORE",
	Name = "NATURE_NAME",
	Description = "NATURE_DESC",
	IsVisibleWhenBuilt = false,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_NATURE_CORE"
	}
})

Nature:register({
	DataType = "BUILDING",
	Id = "NATURE_SET",
	Name = "NATURE_NAME",
	Description = "NATURE_DESC",
	BuildingType = "DECORATION",
	AssetCoreBuildingPart = "NATURE_CORE",
	BuildingPartSetList = {
		{
			Name = "LIST_NATURE_NAME",
			BuildingPartList = {
				"TREE1",
				"TREE2",
				"TREE3",
				"TREE4",
				"TREE5",
				"TREE6",
				"TREE_STUMP",
				"TREE_DEAD",
				"TREE_DEAD2",
				"MUSHROOM_LOG",
				"GRASS1",
				"GRASS2",
				"LILYPAD1",
				"LILYPAD2",
				"LILYPAD3"
			}
		},
		{
			Name = "LIST_STONES_NAME",
	        BuildingPartList = {
				"BOULDER1",
				"BOULDER2",
				"BOULDER3",
				"BOULDER4",
				"BOULDER5",
				"BOULDER6",
				"STONE_TALL1",
				"STONE_TALL2",
				"STONE_TALL3",
				"STONE1",
				"STONE2",
				"STONE3",
				"STONE4",
				"STONE5",
				"STONE6",
				"STONE7",
				"STONE8",
				"STONE9"
			}
		},
		{
			Name = "LIST_WATER_NAME",
			BuildingPartList = {
				"WATER_CIRCLE",
				"WATER_CIRCLE_LARGE",
				"WATER_CIRCLE_LARGE2",
				"WATER_SQUARE",
				"WATER_SQUARE_LARGE",
				"WATER_SQUARE_LARGE2"
			}
		},
		{
			Name = "LIST_GRASS_CLEARING_STONES_NAME",
			BuildingPartList = {
				"GRASS_CLEARING_STONE_SMALL",
				"GRASS_CLEARING_STONE",
				"GRASS_CLEARING_STONE_LARGE"
			}
		}
    }
})